Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface ArrayType

All Superinterfaces:
  Accessible, Comparable, Mirror, ReferenceType, Type

public interface ArrayType
extends ReferenceType

Provides access to the class of an array and the type of its components in the target VM.

Since:
  1.3
See Also:
  `ArrayReference`

Method Summary
`String` | `componentSignature()` Gets the JNI signature of the components of this array class.
`Type` | `componentType()` Returns the component type of this array, as specified in the array declaration.
`String` | `componentTypeName()` Returns a text representation of the component type of this array.
`ArrayReference` | `newInstance(int length)` Creates a new instance of this array class in the target VM.

Methods inherited from interface com.sun.jdi.ReferenceType
`allFields, allLineLocations, allLineLocations, allMethods, availableStrata, classLoader, classObject, defaultStratum, equals, failedToInitialize, fieldByName, fields, getValue, getValues, hashCode, isAbstract, isFinal, isInitialized, isPrepared, isStatic, isVerified, locationsOfLine, locationsOfLine, methods, methodsByName, methodsByName, name, nestedTypes, sourceDebugExtension, sourceName, sourceNames, sourcePaths, visibleFields, visibleMethods`

Methods inherited from interface com.sun.jdi.Type
`signature`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface com.sun.jdi.Accessible
`isPackagePrivate, isPrivate, isProtected, isPublic, modifiers`

Method Detail

### newInstance

    public ArrayReference newInstance(int length)

  Creates a new instance of this array class in the target VM. The array is created with the given length and each component is initialized to is standard default value.

  Parameters:
    `length` - the number of components in the new array
  Returns:
    the newly created `ArrayReference` mirroring the new object in the target VM.

### componentSignature

    public String componentSignature()

  Gets the JNI signature of the components of this array class. The signature describes the declared type of the components. If the components are objects, their actual type in a particular run-time context may be a subclass of the declared class.

  Returns:
    a string containing the JNI signature of array components.

### componentTypeName

    public String componentTypeName()

  Returns a text representation of the component type of this array.

  Returns:
    a text representation of the component type.

### componentType

    public Type componentType()
                       throws ClassNotLoadedException

  Returns the component type of this array, as specified in the array declaration.

  Note: The component type of a array will always be created or loaded before the array - see the Java Virtual Machine Specification, section 5.3.3 Creating Array Classes. However, although the component type will be loaded it may not yet be prepared, in which case the type will be returned but attempts to perform some operations on the returned type (e.g. `fields()`) will throw a `ClassNotPreparedException`. Use `ReferenceType.isPrepared()` to determine if a reference type is prepared.

  Returns:
    the `Type` of this array's components.
    `ClassNotLoadedException`
  See Also:
    `Type`, `Field.type() - for usage examples`

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD